<!doctype html>
<html lang="en">

<head>
    <%- include('../partials/head-dashboard.ejs', {title: title}); %>
</head>

<body>
    <%- include('../partials/header.ejs'); %>

        <div class="container-fluid">
            <div class="row">
                <%- include('../partials/sidebar.ejs', {title: title}); %>

                    <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
                        <%- include('../partials/main-title.ejs', {title: title}); %>

                            <div class="table-responsive">
                                <table class="table table-striped table-sm">
                                    <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">ID</th>
                                            <th scope="col">Username</th>
                                            <th scope="col">User's Choice</th>
                                            <th scope="col">Computer's Choice</th>
                                            <th scope="col">Result</th>
                                            <th scope="col">Created At</th>
                                            <th scope="col">Updated At</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% let i=0;%>
                                            <% userGameHistories.forEach(userGameHistory=> {%>
                                                <tr>
                                                    <td>
                                                        <%= ++i %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.id %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.UserGame.username %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.userChoice %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.computerChoice %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.result %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.createdAt %>
                                                    </td>
                                                    <td>
                                                        <%= userGameHistory.updatedAt %>
                                                    </td>
                                                </tr>
                                                <% });%>
                                    </tbody>
                                </table>
                            </div>
                    </main>
            </div>
        </div>

        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-end">
                <li class="page-item disabled">
                    <a class="page-link" href="#" aria-label="Previous">
                        <span aria-hidden="true">&laquo;</span>
                    </a>
                </li>
                <li class="page-item"><a class="page-link" href="#">1</a></li>
                <li class="page-item"><a class="page-link" href="#">2</a></li>
                <li class="page-item"><a class="page-link" href="#">3</a></li>
                <li class="page-item">
                    <a class="page-link" href="#" aria-label="Next">
                        <span aria-hidden="true">&raquo;</span>
                    </a>
                </li>
            </ul>
        </nav>

        <%- include('../partials/bootstrap-js.ejs'); %>
            <%- include('../partials/dashboard-js.ejs'); %>
</body>

</html>